<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
</head>

<body>
  <div class="container">
    <%- include('../partials/navbar'); %>
    <div>
      <div class="div-tickets text-light">
        <h2 class="title-part">Fringe Mailing List</h2>
        <% for(const [key, value] of Object.entries(ml)){ %>
          <%= value %>,
          <% } %>
      </div>
      <div class="div-tickets text-light">
        <h2 class="title-part">Users</h2>
        <p><strong>Count: </strong><span><%= count %></span></p>
        <% for(const [key, value] of Object.entries(users)){ %>
          <%= value %>,
          <% } %>
      </div>
      <div class="div-tickets text-light">
        <h2 class="title-part">Tickets</h2>
        <div class="mb-3">
          <a class="btn btn-primary" href='/admin/db/tickets' target="_blank">Download Tickets as csv</a>
          <a class="btn btn-primary" href='/admin/db/parts' target="_blank">Download Parts as csv</a>  
        </div>
        
        <ul>
        <% for(const [key, value] of Object.entries(tickets)){ %>
          <li class="list-group-item ticket-list-item" id=<%= "ticket" + value.id %>><div><%- 'IF ' + value.condition_text + ' THEN ' + value.action_text %></div><div class="list-buttons"><a class="btn-view" href=<%= '/ticket/' + value.id%>><span class="material-icons">visibility</span></a></div></li>
          <% } %>
        </ul>
      </div>
    </div>
  </div>

  <%- include('../partials/footscripts'); %>

</body>



</html>